API Reference
Create a Webhook
/v1/webhooksAuthorization
bearerAuth In: header
Request Body
application/json
The webhook payload
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/webhooks" \ -H "Content-Type: application/json" \ -d '{ "events": [ "OpenIdCredentialIssued" ], "url": "https://example.com" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "events": [ "string" ], "url": "http://example.com", "disabled": false}Retrieve all Webhooks
/v1/webhooksAuthorization
bearerAuth In: header
Query Parameters
Range size of returned list.
1 <= value <= 1000100Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/webhooks"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "events": [ "string" ], "url": "http://example.com", "disabled": false }, { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "events": [ "string" ], "url": "http://example.com", "disabled": false } ], "nextCursor": "string"}Retrieve a Webhook
/v1/webhooks/{webhookId}Authorization
bearerAuth In: header
Path Parameters
The requested Webhook ID.
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "events": [ "string" ], "url": "http://example.com", "disabled": false}Update a Webhook
/v1/webhooks/{webhookId}Authorization
bearerAuth In: header
Path Parameters
Webhook ID
uuidRequest Body
application/json
Update Webhook
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "events": [ "OpenIdCredentialIssued" ], "url": "http://example.com" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "events": [ "string" ], "url": "http://example.com", "disabled": false}Delete a Webhook
/v1/webhooks/{webhookId}Authorization
bearerAuth In: header
Path Parameters
Webhook ID
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.com/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08"Retrieve Webhook JWKs
curl -X GET "https://example.com/v1/webhooks/jwks"{ "keys": [ { "kty": "string", "crv": "string", "x": "string", "use": "string", "kid": "string" } ]}How would you rate this page?
Last updated on